Bug 811124 - Unexpected runtime error while computing a text hover
Unexpected runtime error while computing a text hover
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: eclipse-rpm-editor (Show other bugs)
19
All Linux
high Severity high
: ---
: ---
Assigned To: Alphonse Van Assche
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-10 04:18 EDT by Krzysztof Daniel
Modified: 2014-01-16 11:03 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-16 05:08:03 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Krzysztof Daniel 2012-04-10 04:18:13 EDT
java.lang.NullPointerException
	at org.eclipse.linuxtools.rpm.ui.editor.SpecfileHover.getHoverInfo(SpecfileHover.java:60)
	at org.eclipse.jface.text.TextViewerHoverManager$4.run(TextViewerHoverManager.java:168)
	
Steps to reproduce:
Import any fedora project (f.e. eclipse)
Compare spec file with previous revision.
Hover over any change. Notice the error written to the .log.
Comment 1 Alexander Kurtakov 2012-08-10 11:13:19 EDT
Can you still reproduce this one?
Comment 2 Krzysztof Daniel 2012-08-20 04:20:40 EDT
yes.
Comment 3 Fedora End Of Life 2013-04-03 14:07:53 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 5 Alexander Kurtakov 2014-01-16 05:08:03 EST
Problem is fixed in Fedora 20.

Note You need to log in before you can comment on or make changes to this bug.